cdac.medinfo.sdk.hl7282.hl7model.messages.query

## Class RSP_Z84

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.baselibs.messages.AbstractQuery
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.query.RSP_Z84

-     public final class RSP_Z84
      extends AbstractQuery

  RSP_Z84 - Response Message Pair (Event Z84).

  Represents a RSP_K11 message structure (see chapter 5.3.1.2). This structure contains the following elements:

  0: MSH (Message Header) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential segment) SINGLE_OPTIONAL
  3: MSA (Message Acknowledgment) SINGLE_COMPULSARY
  4: ERR (Error) SINGLE_OPTIONAL
  5: QAK (Query Acknowledgment) SINGLE_COMPULSARY
  6: QPD (Query Parameter Definition) SINGLE_COMPULSARY
  7: ROW_DEFINITION (a Group in RSP_K11 message) SINGLE_OPTIONAL
  8: DSC (Continuation Pointer) SINGLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  RSP_Z84 objZ84 = (RSP_Z84)MessageFactory.createInstance().createSendSupportedMessage("RSP", "Z84");

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds the collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds the Software Segment(SFT) to this message.
    `DSC` | `getContinuationPointerSegment()` Retrieves the Continuation Pointer(DSC) Segment present in this message
    `ERR` | `getErrorSegment()` Retrieves Error(ERR) segment present in this message
    `MSA` | `getMessageAcknowledgmentSegment()` Retrieves Message Acknowledgment(MSA) segment present in this message
    `QAK` | `getQueryAcknowledgementSegment()` Retrieves the Query Acknowledgement(QAK) Segment present in this message
    `QPD` | `getQueryParameterDefinitionSegment()` Retrieves the Query Parameter Definition(QPD) Segment present in this message
    `IGroup` | `getRowDefinitionGroup()` Retrieves ROW DEFINITION Group present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves the Collection of Software Segments(SFT) present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `boolean` | `isResponse()` Veifies whether message is Response.
    `void` | `setContinuationPointerSegment(DSC objDSC)` Set the value of Continuation Pointer Segment for this message,overwrites if already present.
    `void` | `setErrorSegment(ERR objERR)` Sets value of Error segment for this message,overwrites if already present.
    `void` | `setMessageAcknowledgmentSegment(MSA objMSA)` Sets value of Message Acknowledgment segment for this message,overwrites if already present.
    `void` | `setQueryAcknowledgementSegment(QAK objQAK)` Set the value of Query Acknowledgement Segment for this message,overwrites if already present.
    `void` | `setQueryParameterDefinitionSegment(QPD objQPD)` Set the value of Query Parameter Definition Segment for this message,overwrites if already present.
    `void` | `setRowDefinitionGroup(IGroup objGroup)` Sets value of ROW DEFINITION Group for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential(UAC) segment for this message, overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.AbstractQuery

      `getQueryIdentifier, getQuerySegments, isBatchRSPExpected, isCanceledQuery, isCanceledResponse, isDeferred, isInteractiveQuery, isInteractiveResponse, setIsCanceledQuery, setIsCanceledResponse, setIsInteractiveQuery, setIsInteractiveResponse`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isResponse

          public boolean isResponse()

      Veifies whether message is Response.
      Overrides:
        `isResponse` in class `Message`
      Returns:
        boolean

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves the Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds the Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this messageto this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds the collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - the User Authentication Credential Segment present in this message or null if unavailable.

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential(UAC) segment for this message, overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getMessageAcknowledgmentSegment

          public MSA getMessageAcknowledgmentSegment()

      Retrieves Message Acknowledgment(MSA) segment present in this message
      Returns:
        MSA - the Message Acknowledgment Segment present in this message or null if unavailable.

    - #### setMessageAcknowledgmentSegment

          public void setMessageAcknowledgmentSegment(MSA objMSA)

      Sets value of Message Acknowledgment segment for this message,overwrites if already present.
      Parameters:
        `objMSA` - Specified Message Acknowledgment Segment

    - #### getErrorSegment

          public ERR getErrorSegment()

      Retrieves Error(ERR) segment present in this message
      Returns:
        ERR - the Error Segment present in this message or null if unavailable.

    - #### setErrorSegment

          public void setErrorSegment(ERR objERR)

      Sets value of Error segment for this message,overwrites if already present.
      Parameters:
        `objERR` - Specified Error Segment

    - #### getQueryAcknowledgementSegment

          public QAK getQueryAcknowledgementSegment()

      Retrieves the Query Acknowledgement(QAK) Segment present in this message
      Returns:
        QAK - the Query Acknowledgement Segment present in this message or null if unavailable.

    - #### setQueryAcknowledgementSegment

          public void setQueryAcknowledgementSegment(QAK objQAK)

      Set the value of Query Acknowledgement Segment for this message,overwrites if already present.
      Parameters:
        `objQAK` - Specified Query Acknowledgement Segment

    - #### getQueryParameterDefinitionSegment

          public QPD getQueryParameterDefinitionSegment()

      Retrieves the Query Parameter Definition(QPD) Segment present in this message
      Returns:
        QPD - the Query Parameter Definition Segment present in this message or null if unavailable.

    - #### setQueryParameterDefinitionSegment

          public void setQueryParameterDefinitionSegment(QPD objQPD)

      Set the value of Query Parameter Definition Segment for this message,overwrites if already present.
      Parameters:
        `objQPD` - Specified Query Parameter Definition Segment

    - #### getRowDefinitionGroup

          public IGroup getRowDefinitionGroup()

      Retrieves ROW DEFINITION Group present in this message.
      Returns:
        Group - ROW DEFINITION Group present in this message.

    - #### setRowDefinitionGroup

          public void setRowDefinitionGroup(IGroup objGroup)

      Sets value of ROW DEFINITION Group for this message,overwrites if already present.
      Parameters:
        `objGroup` - Specified ROW DEFINITION Group

    - #### getContinuationPointerSegment

          public DSC getContinuationPointerSegment()

      Retrieves the Continuation Pointer(DSC) Segment present in this message
      Returns:
        DSC - the Continuation Pointer Segment present in this message or null if unavailable.

    - #### setContinuationPointerSegment

          public void setContinuationPointerSegment(DSC objDSC)

      Set the value of Continuation Pointer Segment for this message,overwrites if already present.
      Parameters:
        `objDSC` - Specified Continuation Pointer Segment